Package org.eclipse.lemminx.extensions.contentmodel.model

## Class FilesChangedTracker

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.model.FilesChangedTracker

    public class FilesChangedTracker
    extends Object

File changed tracker.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`FilesChangedTracker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFileURI​(String fileURI)` Add file URI to track
`void` `addFileURI​(URI fileURI)` Add file URI to track
`boolean` `isDirty()` Returns true if one file has changed and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilesChangedTracker

    public FilesChangedTracker()

### Method Detail

#### addFileURI

    public void addFileURI​(String fileURI)

Add file URI to track

Parameters:
  `fileURI` -

#### addFileURI

    public void addFileURI​(URI fileURI)

Add file URI to track

Parameters:
  `fileURI` -

#### isDirty

    public boolean isDirty()

Returns true if one file has changed and false otherwise.

Returns:
  true if one file has changed and false otherwise.